Procedure Composite Process Instance
Get a list of ProcedureComputation objects. ProcedureComputations have a 1:1 mapping with Observations where used.
These may have a number of 2 or more components made up of combinations of Computation and Acquisition records.
The details of the underlying records have been serialised.
### Available end points:
- `/ProcedureComputations/` - Will list all ProcedureComputations in the database
- `/ProcedureComputations.json` - Will return all ProcedureComputations in json format
- `/ProcedureComputations/<object_id>/` - Returns ProcedureComputations object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
None
### How to use filters:
None
GET /api/v2/composites/2551/?format=api
{ "ob_id": 2551, "computationComponent": [ { "ob_id": 2548, "uuid": "8c64e3f3cb2f4a279402291ec7ed1d73", "title": "DETAILS NEEDED - COMPUTATION CREATED FOR SATELLITE COMPOSITE. deployed on NOAA Satellite series - 7 to 14", "abstract": "This computation involved: DETAILS NEEDED - COMPUTATION CREATED FOR SATELLITE COMPOSITE. deployed on NOAA Satellite series - 7 to 14.", "keywords": "", "inputDescription": null, "outputDescription": null, "softwareReference": null, "identifier_set": [] } ], "acquisitionComponent": [ { "ob_id": 2550, "independentInstrument": [], "instrumentplatformpair_set": [ { "ob_id": 883, "platform": "https://api.catalogue.ceda.ac.uk/api/v2/platforms/1913/?format=api", "instrument": "https://api.catalogue.ceda.ac.uk/api/v2/instruments/2549/?format=api", "relatedTo": { "ob_id": 2550, "uuid": "0edf4b4cf6d44691ba737581895dcc6d", "short_code": "acq" } } ] } ], "identifier_set": [], "responsiblepartyinfo_set": [] }